from django.conf.urls import url

from rest import views

app_name="rest"

urlpatterns = [
    url(r'^$', views.index, name='index'),

    # To allow AJAX loading of course views
    #url(r'^(?P<cid>.*?)/$', views.course, name='course'),
    #url(r'^(?P<cid>.*?)/(?P<seid>.*?)/$', views.section, name='section'),
    #url(r'^(?P<cid>.*?)/(?P<seid>.*?)/(?P<slid>.*?)/$', views.slide, name='slide'),

    # the event stream is only receiving events
    url(r'^event$', views.event, name='event'),

    # adding jobs yields a jobID which can be used to query the state
    url(r'^job/new/$', views.job_new, name='job_new'),
    url(r'^job/(?P<jid>.*?)/$', views.job_status, name='job_status'),
]
